/*
AppModule eli sovelluksen päämoduuli

Angular-sovellusten suurin rakenneosa on moduuli.
Komponentit ja muut rakenneosat ovat päämoduulin sisällä.
Moduuli on tarpeellinen yleensä vain laajoissa sovelluksissa.
Standalone-sovelluksissa ei ole päämoduulia, vaan rakenneosat
ovat pääkomponentin eli app.componentin sisällä.
*/

import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

import { AppComponent } from './app.component';
import { CalculatorComponent } from './calculator/calculator.component';
import { Calculator2Component } from './calculator2/calculator2.component';
import { Calculator3Component } from './calculator3/calculator3.component';

// moduulin määrittely @NgModule -dekoraattorimetodissa
@NgModule({
  declarations: [
    AppComponent,
    CalculatorComponent,
    Calculator2Component,
    Calculator3Component
  ],
  imports: [
    BrowserModule,
    FormsModule,
    ReactiveFormsModule
  ],
  providers: [],
  bootstrap: [AppComponent] // sovellus käynnistyy AppComponentista
})
export class AppModule { }
